#ifndef MOCAP_STRUCT_H
#define MOCAP_STRUCT_H
#include "mocapConst.h"

typedef struct MOCAP_MARKERS_OBJECT{
  char name[64];
  int nmarkers;
  int status;
  double x[MOCAP_MAX_MARKERS];
  double y[MOCAP_MAX_MARKERS];
  double z[MOCAP_MAX_MARKERS];
} MOCAP_MARKERS_OBJECT;

typedef struct MOCAP_OBJECTS{
	int nbodies;
        MOCAP_MARKERS_OBJECT objects[MOCAP_MAX_OBJECTS];
} MOCAP_OBJECTS;

#endif
